package com.fkzy.warn.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fkzy.warn.common.constants.EntityConstants;
import com.fkzy.warn.service.DishonestInfoService;
import com.fkzy.warn.mapper.DishonestInfoMapper;
import com.fkzy.warn.model.DishonestInfo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zhangjing
 * @date 2023/10/16 18:17
 * @description
 */
@Service
public class DishonestInfoServiceImpl extends ServiceImpl<DishonestInfoMapper, DishonestInfo> implements
    DishonestInfoService {


    @Override
    public void saveModel(DishonestInfo entity, String ticket) {
        save(entity);
    }

    @Override
    public void updateModel(DishonestInfo entity,String ticket) {
        this.updateById(entity);
    }

    @Override
    public void deleteModel(List<String> ids) {
        DishonestInfo entity = new DishonestInfo();
        entity.setIsDel(EntityConstants.DEL);
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.in("id", ids);
        update(entity, wrapper);
    }


}
